### comprehesion ###
# note the indentation
l = []
for i in range(9):
    if i%2:
        l.append(i)
print("l =", l, '\n\n')


### generator ###
l = [ i for i in range(9) if i%2 ]
rint("l =", l, '\n\n')
